# Record TCefDomNode

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDomNode = record`

## Description

Structure used to represent a DOM node. The functions of this structure should only be called on the render process main thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDomNode.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domnode_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_type: function(self: PCefDomNode): TCefDomNodeType; stdcall;`
| `is_text: function(self: PCefDomNode): Integer; stdcall;`
| `is_element: function(self: PCefDomNode): Integer; stdcall;`
| `is_editable: function(self: PCefDomNode): Integer; stdcall;`
| `is_form_control_element: function(self: PCefDomNode): Integer; stdcall;`
| `get_form_control_element_type: function(self: PCefDomNode): TCefDomFormControlType; stdcall;`
| `is_same: function(self, that: PCefDomNode): Integer; stdcall;`
| `get_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
| `get_value: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
| `set_value: function(self: PCefDomNode; const value: PCefString): Integer; stdcall;`
| `get_as_markup: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
| `get_document: function(self: PCefDomNode): PCefDomDocument; stdcall;`
| `get_parent: function(self: PCefDomNode): PCefDomNode; stdcall;`
| `get_previous_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;`
| `get_next_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;`
| `has_children: function(self: PCefDomNode): Integer; stdcall;`
| `get_first_child: function(self: PCefDomNode): PCefDomNode; stdcall;`
| `get_last_child: function(self: PCefDomNode): PCefDomNode; stdcall;`
| `get_element_tag_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
| `has_element_attributes: function(self: PCefDomNode): Integer; stdcall;`
| `has_element_attribute: function(self: PCefDomNode; const attrName: PCefString): Integer; stdcall;`
| `get_element_attribute: function(self: PCefDomNode; const attrName: PCefString): PCefStringUserFree; stdcall;`
| `get_element_attributes: procedure(self: PCefDomNode; attrMap: TCefStringMap); stdcall;`
| `set_element_attribute: function(self: PCefDomNode; const attrName, value: PCefString): Integer; stdcall;`
| `get_element_inner_text: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
| `get_element_bounds: function(self: PCefDomNode): TCefRect; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_type: function(self: PCefDomNode): TCefDomNodeType; stdcall;`
This item has no description.

| `is_text: function(self: PCefDomNode): Integer; stdcall;`
This item has no description.

| `is_element: function(self: PCefDomNode): Integer; stdcall;`
This item has no description.

| `is_editable: function(self: PCefDomNode): Integer; stdcall;`
This item has no description.

| `is_form_control_element: function(self: PCefDomNode): Integer; stdcall;`
This item has no description.

| `get_form_control_element_type: function(self: PCefDomNode): TCefDomFormControlType; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefDomNode): Integer; stdcall;`
This item has no description.

| `get_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
This item has no description.

| `get_value: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
This item has no description.

| `set_value: function(self: PCefDomNode; const value: PCefString): Integer; stdcall;`
This item has no description.

| `get_as_markup: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
This item has no description.

| `get_document: function(self: PCefDomNode): PCefDomDocument; stdcall;`
This item has no description.

| `get_parent: function(self: PCefDomNode): PCefDomNode; stdcall;`
This item has no description.

| `get_previous_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;`
This item has no description.

| `get_next_sibling: function(self: PCefDomNode): PCefDomNode; stdcall;`
This item has no description.

| `has_children: function(self: PCefDomNode): Integer; stdcall;`
This item has no description.

| `get_first_child: function(self: PCefDomNode): PCefDomNode; stdcall;`
This item has no description.

| `get_last_child: function(self: PCefDomNode): PCefDomNode; stdcall;`
This item has no description.

| `get_element_tag_name: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
This item has no description.

| `has_element_attributes: function(self: PCefDomNode): Integer; stdcall;`
This item has no description.

| `has_element_attribute: function(self: PCefDomNode; const attrName: PCefString): Integer; stdcall;`
This item has no description.

| `get_element_attribute: function(self: PCefDomNode; const attrName: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

| `get_element_attributes: procedure(self: PCefDomNode; attrMap: TCefStringMap); stdcall;`
This item has no description.

| `set_element_attribute: function(self: PCefDomNode; const attrName, value: PCefString): Integer; stdcall;`
This item has no description.

| `get_element_inner_text: function(self: PCefDomNode): PCefStringUserFree; stdcall;`
This item has no description.

| `get_element_bounds: function(self: PCefDomNode): TCefRect; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.